<html>
<head>
  <script type="text/javascript" src="jquery-1.10.2.js"></script>
  <script src="fabric/fabric.js"></script>
</head>
<body>

  <canvas id="c" width="800" height="600"></canvas>

  <script>

var canvas = new fabric.Canvas("c");
canvas.hoverCursor = "default";
canvas.selection = false;

var n = 10;
//var blocks = [ [0,1,2], [2,3,4], [0,4,5], [1,4,6], [2,5,6], [0,3,6], [1,3,5] ];
var blocks = [ [0,1,2,3], [0,1,4,5], [0,2,4,6], [0,3,7,8], [0,5,7,9], [0,6,8,9],
               [1,2,7,8], [1,3,6,9], [1,4,7,9], [1,5,6,8], [2,3,5,9], [2,4,8,9],
               [2,5,6,7], [3,4,5,8], [3,4,6,7] ];

var pointRadius = 5;
var radius = 150;
var centerX = 200;
var centerY = 200;
var angle = 180 - (n-2)*180/n ;
var startAngle = n % 2 == 1 ?  270 : 270 - angle / 2;
var colors = [];
var points = [];
var strPoints = [];
for (var i = 0; i < n; i++) {
  var x1 = centerX + radius * Math.cos(startAngle * Math.PI / 180);
  var y1 = centerY + radius * Math.sin(startAngle * Math.PI / 180);
  var x2 = centerX - 6 + (radius + pointRadius + 10) * Math.cos(startAngle * Math.PI / 180);
  var y2 = centerY - 6 + (radius + pointRadius + 10) * Math.sin(startAngle * Math.PI / 180);
  points.push({ x: x1, y: y1 });
  strPoints.push({ x: x2, y: y2 });

  startAngle += angle;
}

for (var i = 0; i < blocks.length; i++){
  var rgb = [];
  for(var k = 0; k < 3; k++)
    rgb.push(Math.floor(Math.random() * 255));
  colors.push(rgb);
}

for (var i = 0; i < points.length; i++){
  var circle = new fabric.Circle({
    radius: pointRadius, fill: '#000000',
    left: points[i].x - pointRadius, top: points[i].y - pointRadius,
    selection: false, hoverCursor: 'default',
    hasControls: false, hasBorders: false,
    lockMovementX: true, lockMovementY: true });
  canvas.add(circle);

  var n = (i + 1) % points.length;
  var line =new fabric.Line([points[i].x, points[i].y, points[n].x, points[n].y], {
    stroke: '#000000', hoverCursor: 'default',
    hasControls: false, hasBorders: false,
    lockMovementX: true, lockMovementY: true });
  //canvas.add(line);

  var str = new fabric.Text(i.toString(), { fontSize: 15, fontFamily: 'Consolas',
    left: strPoints[i].x, top: strPoints[i].y,
    hasControls: false, hasBorders: false,
    lockMovementX: true, lockMovementY: true });
  canvas.add(str);
}

for (var i = 0; i < blocks.length; i++){
  var block = blocks[i];
  for (var j = 0; j < block.length; j++) {
    var n = (j + 1) % block.length;
    var p1 = block[j];
    var p2 = block[n];
    var color = 'black'; //'rgb('+ colors[i].join(',') + ')';
    var line = new fabric.Line([points[p1].x, points[p1].y, points[p2].x, points[p2].y], {
      stroke: color, hoverCursor: 'default',
      hasControls: false, hasBorders: false,
      lockMovementX: true, lockMovementY: true });
    canvas.add(line);
  }
}

  </script>
</body>
</html>
